#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include <mex.h>

#include "add/add.ri"
#include <mexhelper.h>

extern "C"
{
void mexFunction (int nresults, mxArray **arrresults, int nargs,
		const mxArray **arrargs)
{
	int arg0 = 0;
	if (nargs > 0)
		arg0 = int(mxGetScalar(arrargs[0]));
	int arg1 = 0;
	if (nargs > 1)
		arg1 = int(mxGetScalar(arrargs[1]));

	try
    {
		initEnv();
		int res = AddRi::add(arg0, arg1);
		
		if (nresults > 0)
		{
			arrresults[0] = mxCreateDoubleScalar(res);
		}
	}
	catch(ctl::exception &e)
	{ 
		std::cerr << e << "\n"; 
	}	
}
}
