package NCLib;

import java.util.*;

/** Various helper functions concerning strings */
public class Strings
{
	/** Generate a linked list from a bunch of strings
	 * @param args A bunch of strings
	 * @return LinkedList<String> containing the bunch of strings
	 */
	public static LinkedList<String> strList (String... args)
	{
		LinkedList<String> ret = new LinkedList<String>();
		for (String str : args)
			ret.add(str);
		return ret;
	}

	/** Test routine */
	public static void main (String[] args)
	{
		System.out.println(strList("foo", "bar", "moo"));	
	}	
}
