package Test;

import CTL.*;
import CTL.Types.*; 
import Tools.*;

import junit.framework.*;

/** Test case for Remote.magic handling
 * @see CTL.Remote
 * @see CTL.Types.IPaddr
 */
public class TMagic extends TestCase
{
	private static String[] results;

	static 
	{
		results = new String[8];
		results[0] = "3E";
		results[1] = "8E";
		results[2] = "F0";
		results[3] = "78";
		results[4] = "01";
		results[5] = "44";
		results[6] = "31";
		results[7] = "0A";
	}
			
	public void testMagic ()
	{
		IPaddr test = new IPaddr(Remote.magic, 0);
		for (int i=0;i<test.rawIP().length;i++)
		{
			assertTrue(HexDumper.byteToHex((byte)test.rawIP()[i]).equals(results[i]));
		}
	}
}
