package Test.endianess;

import CTL.*;
import CTL.Streams.*;

import java.io.*;
import java.nio.*;

/** Reader test for endianess conversion */
public class Reader
{
	public static void main (String[] args)
	{
		try
		{
			Env.newLogger("test");
			File f = new File("/tmp/endian-moo");
			FileInputStream fis = new FileInputStream(f);
			OIStream in = new OIStream(fis);
			in.changeEndianess(ByteOrder.LITTLE_ENDIAN);
			Integer i = in.readInt();
			Double d = in.readDouble();
			String s = in.readString();
			System.out.println(i+"\n"+d+"\n"+s);
			fis.close();
		}
		catch (Exception e)
		{
			RUtil.except(e);
		}
	}
}
