#!/bin/sh

# CTL4j quick-test script

if [ "$USER" = "neocool" ]
then
	if [ "`uname -s`" = "Darwin" ]
	then
		PROJ_BASE="$HOME/Projects"
	else
		PROJ_BASE="$HOME/projects/wire"
	fi
	cp "$PROJ_BASE/ctl4j"/{build/CTL4j.jar,src/Example.Server} .
fi

export CLASSPATH=".:`pwd`/CTL4j.jar"
echo "$USER@localhost:`pwd`/Example.Server tcp" >locs.txt
java -Dfile.encoding='ISO-8859-1' CodeGen.Main Impl.CTest
java -Dfile.encoding='ISO-8859-1' Example.Client3

if [ "$USER" = "neocool" ]
then
	rm -rf javaSys locs.txt Example.Server CTL4j.jar
fi
