package CTL.Comm;

import CTL.Streams.OIStream;
import CTL.Types.CTLException;

import java.io.*;
import java.nio.*;

/** Simple input buffer */
public class BuffyIn
{
	private ByteArrayInputStream bin;
	public OIStream i;
	
	public BuffyIn (byte[] data) throws IOException, CTLException
	{
		if (data == null)
			throw new CTLException("No data to read.");
		bin = new ByteArrayInputStream(data);
		i = new OIStream(bin);
	}

	public void changeEndianess (ByteOrder order)
	{
		i.changeEndianess(order);
	}
}	
