package CTL.Comm;

import CTL.Types.*;

import java.io.*;
import java.net.*;

/** Simple communicator which write to a stream */
public class StreamCommunicator extends Communicator
{	
	private ByteArrayOutputStream out = null;
	
	public StreamCommunicator ()
	{
		out = new ByteArrayOutputStream();
	}

	public ByteArrayOutputStream output ()
	{
		return out;
	}
	
	public byte[] recv () throws CTLException, IOException
	{
		return null;
	}
	
	public byte[] recv (long len) throws CTLException, IOException
	{
		return null;
	}
	
	public void send (byte[] data, long len, boolean debug) throws IOException
	{
		out.write(data, 0, (int)len);
	}
	
	public PeerID pid ()
	{
		return null;
	}

	public void accept () throws IOException
	{
	}
	
	public void connect (PeerID remote) throws IOException, UnknownHostException
	{
	}
		
	public void listen () throws IOException
	{
	}
	
	public void close () throws IOException
	{
	}
}
