package Example;

import CTL.*;
import CTL.CCompat.*;
import CTL.Types.*;
import Impl.Types.*;
import javaSys.*;

import java.util.*;

/** Sample client */
public class Client12
{
	public static void main (String args[])
	{
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
			AnythingCI.use(proc);
			AnythingCI foo = new AnythingCI();
			foo.foo0(new AnyObj("bar"));
			foo.foo0(new AnyObj(12));
			foo.foo0(new AnyObj(3.0f));
			foo.foo0(new AnyObj(new DoubleDash()));
			
			// TODO: AnyObj does not work for parametrized types
			/*LinkedList<String> list = new LinkedList<String>();
			list.add("foo");
			list.add("bar");
			foo.foo0(new AnyObj(list));
			Vector<String> vector = new Vector<String>();
			vector.add("foo");
			vector.add("bar");
			foo.foo0(new AnyObj(vector));*/
			
			// TODO: Nullpointer exception
			//foo.foo1(3);
		}
	}
}
