package Example;

import CTL.CCompat.*;
import CTL.Types.*;
import javaSys.*;
import NCLib.*;

/** Simple resource manager client */
public class ResMan
{
	public static void main (String[] args)
	{
		Location loc = Location.parseFile("locs.txt").get(0);
		CTL.Process proc = new CTL.Process(loc);
		CTL_Locator.use(proc);
		CTL_Locator obj = new CTL_Locator();

		for (String component : Strings.strList("NavSimRI", "foo", 
			"javaSys::ApplicationCI"))
		{
			Location res = obj.get(component, new AnyObj(0));
			System.out.println(res);
		}
	}
}
